#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	XML
%define		pnam	Encoding
%include	/usr/lib/rpm/macros.perl
Summary:	XML::Encoding - module for parsing XML encoding maps
Summary(pl.UTF-8):	XML::Encoding - moduł analizujący mapy kodowań XML
Name:		perl-XML-Encoding
Version:	2.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	21a602a43060d49302c86ca77aa9db33
URL:		http://search.cpan.org/dist/XML-Encoding/
BuildRequires:	perl-XML-Parser >= 2.18
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, which is built as a subclass of XML::Parser, provides a
parser for encoding map files, which are XML files. The file
maps/encmap.dtd in the distribution describes the structure of these
files. Calling a parse method returns the name of the encoding map
(obtained from the name attribute of the root element). The contents
of the map are processed through the callback functions push_prefix,
pop_prefix, and range_set.

%description -l pl.UTF-8
Ten moduł, stworzony jako podklasa XML::Parser, udostępnia analizator
dla plików map kodowań będących plikami XML. Plik maps/encmap.dtd
zawarty w pakiecie opisuje strukturę tych plików. Wywołanie metody
parse zwraca nazwę mapy kodowania (otrzymaną z atrybutu name elementu
głównego). Zawartość mapy jest przetwarzana poprzez funkcje wywołań
zwrotnych (callback) push_prefix, pop_prefix i range_set.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README maps
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/Encoding.pm
%{_mandir}/man?/*
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Encoding.git;a=log;h=master

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 6ff54ac
- use generic url

* Fri Jul 01 2011 marti <marti@pld-linux.org> e9a0284
- up to 2.08

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 62920c0
- updated to 2.07

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 817479b
- release 28

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> e53f02a
- release 27

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> abacb86
- release 26

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eb723aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4caa564
- converted to UTF-8

* Mon Mar 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 381fd5b
- informative summaries/descriptions

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8002ad8
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 17f7f06
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> d8d1167
- rel. 11

* Thu May 06 2004 ankry <ankry@pld-linux.org> 74d8af8
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> 4b2ac13
- tests added, license fix, cosmetics

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 7ca767c
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 5bf314f
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 32e07c3
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 33f9814
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 34e88b5
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> af50459
- BR: perl-devel; do not BR: perl

